{ inputs, ... }: {
  flake-file.inputs = {
    spicetify-nix.url = "github:Gerg-L/spicetify-nix";
    spicetify-nix.inputs.nixpkgs.follows = "nixpkgs";
  };

  flake.modules.homeManager.spicetify = { pkgs, ... }: {
    imports = [
      inputs.spicetify-nix.homeManagerModules.default
    ];

    programs.spicetify =
      let
        spkgs = inputs.spicetify-nix.legacyPackages.${pkgs.stdenv.hostPlatform.system};
      in
      {
        enable = true;
        enabledExtensions = with spkgs.extensions; [
          fullAppDisplay
          shuffle
          aiBandBlocker
        ];
        enabledCustomApps = with spkgs.apps; [
          newReleases
        ];
        theme = spkgs.themes.catppuccin;
        colorScheme = "mocha";
      };
  };
}
